Get Stripe Payments Status
curl --request GET \
--url https://api.example.com/api/payments/stripe/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/payments/stripe/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/payments/stripe/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connections": [
{
"accountId": "acct_123",
"accountEmail": "owner@example.com",
"accountLivemode": true,
"webhookEndpointId": "we_123",
"webhookEndpointUrl": "https://api.example.com/api/webhooks/stripe/test",
"webhookConfiguredAt": "2023-11-07T05:31:56Z",
"maskedKey": "sk_test_...abcd",
"lastSyncedAt": "2023-11-07T05:31:56Z",
"lastSyncError": "<string>",
"lastSyncCounts": {}
}
]
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}Stripe Payments
Get Stripe Payments Status
Return Stripe connection, sync, and managed webhook status for each environment.
GET
/
api
/
payments
/
stripe
/
status
Get Stripe Payments Status
Was this page helpful?
⌘I